package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponAutoRefund {

    // 0-可投放;1-已作废;
    NORMAL(0, "正常"),
    UNSUPPORTED(1, "不退"),
    ;

    public static EnumCouponAutoRefund getEnum(Integer code) {
        for (EnumCouponAutoRefund value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponAutoRefund(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
